Bug 1976633 - VMware UPI is configuring static IPs via ignition rather than afterburn
Summary: VMware UPI is configuring static IPs via ignition rather than afterburn
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: rvanderp
QA Contact: jima
URL:
Whiteboard:
Depends On: 1975819
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-27 17:40 UTC by OpenShift BugZilla Robot
Modified: 2021-07-14 07:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-14 07:16:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5036 0 None open [release-4.6] Bug 1976633: upi/vsphere: Use Afterburn guestinfo for static IP and hostname config 2021-06-29 12:35:59 UTC
Red Hat Product Errata RHBA-2021:2641 0 None None None 2021-07-14 07:17:12 UTC

Comment 2 jima 2021-07-01 07:33:56 UTC
use upstream updated terraform scripts to install 4.6.0-0.nightly-2021-06-30-181137, deployment is successful.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-06-30-181137   True        False         5h25m   Cluster version is 4.6.0-0.nightly-2021-06-30-181137

$ oc get nodes
NAME              STATUS   ROLES    AGE     VERSION
compute-0         Ready    worker   5h36m   v1.19.0+b00ba52
compute-1         Ready    worker   5h36m   v1.19.0+b00ba52
control-plane-0   Ready    master   5h44m   v1.19.0+b00ba52
control-plane-1   Ready    master   5h43m   v1.19.0+b00ba52
control-plane-2   Ready    master   5h44m   v1.19.0+b00ba52

so move bug to VERIFIED

Comment 5 errata-xmlrpc 2021-07-14 07:16:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.38 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2641


Note You need to log in before you can comment on or make changes to this bug.